Debian Bug report logs - #649418
RFP: cdm -- login manager for the console

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Corey Richardson <kb1pkl@aim.com>

Date: Sun, 20 Nov 2011 20:00:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#649418; Package wnpp. (Sun, 20 Nov 2011 20:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Corey Richardson <kb1pkl@aim.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 20 Nov 2011 20:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Corey Richardson <kb1pkl@aim.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: cdm -- login manager for the console
Date: Sun, 20 Nov 2011 14:56:02 -0500
Package: wnpp
Severity: wishlist
Owner: Corey Richardson <kb1pkl@aim.com>

* Package name    : cdm
  Version         : 0.5.3
  Upstream Author : Daniel Griffiths <dgriffiths@ghost1227.com>
* URL             : https://github.com/ghost1227/cdm
* License         : GPL3
  Programming Lang: Bash
  Description     : login manager for the console

The Console Display Manager is a lightweight though full-featured login
manager supporting multiple X sessions, themes, and more.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Corey Richardson <kb1pkl@aim.com>:
Bug#649418; Package wnpp. (Mon, 21 Nov 2011 10:16:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Corey Richardson <kb1pkl@aim.com>. (Mon, 21 Nov 2011 10:16:59 GMT) Full text and rfc822 format available.

Message #10 received at 649418@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Corey Richardson <kb1pkl@aim.com>, 649418@bugs.debian.org
Subject: Re: Bug#649418: ITP: cdm -- login manager for the console
Date: Mon, 21 Nov 2011 11:11:53 +0100
[Message part 1 (text/plain, inline)]
also sprach Corey Richardson <kb1pkl@aim.com> [2011.11.20.2056 +0100]:
> The Console Display Manager is a lightweight though full-featured login
> manager supporting multiple X sessions, themes, and more.

That's not a whole lot of information. Why is it called "console
DM?" How does it work? What's a "theme" in this context? Why would
you want to start X sessions from a console DM?

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#649418; Package wnpp. (Mon, 21 Nov 2011 21:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Corey Richardson <kb1pkl@aim.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 21 Nov 2011 21:03:08 GMT) Full text and rfc822 format available.

Message #15 received at 649418@bugs.debian.org (full text, mbox):

From: Corey Richardson <kb1pkl@aim.com>
To: martin f krafft <madduck@debian.org>
Cc: 649418@bugs.debian.org
Subject: Re: Bug#649418: ITP: cdm -- login manager for the console
Date: Mon, 21 Nov 2011 15:59:49 -0500
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 11/21/2011 05:11 AM, martin f krafft wrote:
> also sprach Corey Richardson <kb1pkl@aim.com> [2011.11.20.2056 +0100]:
>> The Console Display Manager is a lightweight though full-featured login
>> manager supporting multiple X sessions, themes, and more.
> 
> That's not a whole lot of information. Why is it called "console
> DM?"

It is a bash script that uses the dialog program to present options for
what session to start or to logout/shutdown/hibernate/sleep (if those
options are set in the config file. Uses sudo with pm-utils).

> How does it work? 

It's a fairly simple script that figures out which TTY is free to run an
X session in, starts the consolekit session, and then runs the window
manager (using an xinitrc that is passed the name of the wm binary to
execute as $1). It can present different WMs/DEs on a per-user basis and
also have the ability to shutdown etc. It traps SIGINT and SIGSTOP so
you can't drop to a shell without permission to do so. It will also
close the TTY that you logged in on if an X session is started so others
can use it (providing a simple means of hotseat, if its combined with
something like xscreensaver or slock) and so others can't ^C your X session.

> What's a "theme" in this context?

A theme is the colors the dialog uses. It's simple, but it allows for
some customization.

> Why would you want to start X sessions from a console DM?

I find it convenient, as it starts up faster than gdm or slim or
lightdm, although it is less featureful. I really don't need much of a
login manager but I do have the need to have multiple X sessions at once
with a few different WMs and DEs. CDM gives me a nice interface over
that so I don't need to pick the display to use myself or make sure
there are enough PTYs available to start them all.

Apologies for the crappy description. This is my first foray into debian
packaging.

- -- 
Corey Richardson
"Those who deny freedom to others, deserve it not for themselves"
	-- Abraham Lincoln
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJOyrvFAAoJEHFIpB1LHrF+TGoH/0Qk5uh3ywinIlDFr1MX1APa
gIeEbcIvs2GRHCHwRzs0omCgpFQcOh1am3wQEf85VCfhfDIUnbzi+XCQIQTciEGk
R5v34bJXSTgb3JLiJcTggvFkzDfyrU4xwMTSjRXqgi+lgIH59yYY/r3tvZuUI68a
SBP+T/atj71MqraVJmCDBvsMRmKKzQJ29OPQSpAHhpjSmS5UMmzCmSF840XrqLdc
GtUIi4iLqgLRGEn5BGCwN4I1QnaIQR0OV0c3O1OvKMqltbsQ2mEHVDmWv0slHsYW
z4NI0PG6sxtAVFbvx3c0ifH0413oQ4BfTzFB1HzEeuWyKLR24dPUyBWAtA3cOZY=
=oRHn
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Corey Richardson <kb1pkl@aim.com>:
Bug#649418; Package wnpp. (Mon, 27 May 2013 13:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Corey Richardson <kb1pkl@aim.com>. (Mon, 27 May 2013 13:42:12 GMT) Full text and rfc822 format available.

Message #20 received at 649418@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 649418@bugs.debian.org
Cc: control@bugs.debian.org
Subject: cdm: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:20 +0200
retitle 649418 RFP: cdm -- login manager for the console
noowner 649418
tag 649418 - pending
thanks

Hi,

This is an automatic email to change the status of cdm back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting cdm, please send a mail to
<control@bugs.debian.org> with:

 retitle 649418 ITP: cdm -- login manager for the console
 owner 649418 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <649418@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: cdm -- login manager for the console' from 'ITP: cdm -- login manager for the console' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:00:04 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Corey Richardson <kb1pkl@aim.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#649418; Package wnpp. (Mon, 27 May 2013 14:43:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 27 May 2013 14:43:04 GMT) Full text and rfc822 format available.

Message #29 received at 649418@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 649418@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#649418: cdm: changing back from ITP to RFP
Date: Mon, 27 May 2013 11:26:29 -0300
[Message part 1 (text/plain, inline)]
retitle 649418 ITP: cdm -- login manager for the console
owner 649418 !
thanks

Hi,

I'm interested in having this package in Debian, so if the previous
maintainer doesn't have any objection I could give a shot at packaging this
soon.

Cheers,


On Mon, May 27, 2013 at 10:24 AM, Lucas Nussbaum <lucas@debian.org> wrote:

> retitle 649418 RFP: cdm -- login manager for the console
> noowner 649418
> tag 649418 - pending
> thanks
>
> Hi,
>
> This is an automatic email to change the status of cdm back from ITP
> (Intent to Package) to RFP (Request for Package), because this bug hasn't
> seen
> any activity during the last 12 months.
>
> If you are still interested in adopting cdm, please send a mail to
> <control@bugs.debian.org> with:
>
>  retitle 649418 ITP: cdm -- login manager for the console
>  owner 649418 !
>  thanks
>
> However, it is not recommended to keep ITP for a long time without acting
> on
> the package, as it might cause other prospective maintainers to refrain
> from
> packaging that software. It is also a good idea to document your progress
> on
> this ITP from time to time, by mailing <649418@bugs.debian.org>.
>
> Thank you for your interest in Debian,
> --
> Lucas, for the QA team <debian-qa@lists.debian.org>
>
> --
> To unsubscribe, send mail to 649418-unsubscribe@bugs.debian.org.
>



-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x6E608B637D8967E9 available at
http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITP: cdm -- login manager for the console' from 'RFP: cdm -- login manager for the console' Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Mon, 27 May 2013 14:43:35 GMT) Full text and rfc822 format available.

Owner recorded as Miguel Landaeta <miguel@miguel.cc>. Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Mon, 27 May 2013 14:43:36 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#649418; Package wnpp. (Tue, 04 Jun 2013 00:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 04 Jun 2013 00:39:09 GMT) Full text and rfc822 format available.

Message #38 received at 649418@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 649418@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#649418: cdm: changing back from ITP to RFP
Date: Mon, 3 Jun 2013 21:34:34 -0300
[Message part 1 (text/plain, inline)]
retitle 649418 RFP: cdm -- login manager for the console
noowner 649418
thanks

Hi,

After using this tool for a while I noticed this is not exactly what I need
so I will not be in charge of getting this package in the archive.

However, since it's a very simple tool, the packaging work is very easy and
is almost complete so I committed what I have done to collab-maint just in
case anybody else want to continue working on this.

git://git.debian.org/collab-maint/cdm.git

Cheers,


-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x6E608B637D8967E9 available at
http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche
[Message part 2 (text/html, inline)]

Changed Bug title to 'RFP: cdm -- login manager for the console' from 'ITP: cdm -- login manager for the console' Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Tue, 04 Jun 2013 00:39:15 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Miguel Landaeta <miguel@miguel.cc>. Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Tue, 04 Jun 2013 00:39:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:44:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.